=== debian/changelog ===
kadnode (2.3.0-1) stable; urgency=medium

  * update dht to 0.26
  * fix resolve peers to IPv6 address
  * ignore sigpipe globally (should fix some crashes)
  * fix ttl value for dns interface reply

 -- Moritz Warning <moritzwarning@web.de>  Sun, 09 Feb 2020 00:00:00 +0100
